Bug 1303410 - [ipv6] vdsm-network reconvigures network due to unsolicited ipvp6 address
[ipv6] vdsm-network reconvigures network due to unsolicited ipvp6 address
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: Core (Show other bugs)
---
x86_64 Linux
high Severity high (vote)
: ovirt-3.6.4
: ---
Assigned To: Ondřej Svoboda
Meni Yakove
:
Depends On:
Blocks: RHEV_IPv6 1317258 1317865
  Show dependency treegraph
 
Reported: 2016-01-31 09:05 EST by Michael Burman
Modified: 2016-09-13 01:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-05 09:53:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: planning_ack+
danken: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52759 None None None 2016-01-31 09:07 EST
oVirt gerrit 54206 master ABANDONED net: Disable IPv6 when IPV6INIT=no 2016-07-24 09:02 EDT
oVirt gerrit 54236 ovirt-3.6 MERGED net: Adjust the parsing of multiline tc error 2016-03-03 09:09 EST
oVirt gerrit 54237 ovirt-3.6.3 MERGED net: Adjust the parsing of multiline tc error 2016-03-03 09:10 EST

  None (edit)
Description Michael Burman 2016-01-31 09:05:59 EST
Description of problem:
[ipv6] - Engine receives ipv6 address from dhcp while wasn't requesting and vdsm recognize it as a change while rebooting the server.

supervdsm.log -->

restore-net::INFO::2016-01-31 12:19:10,330::vdsm-restore-net-config::265::root::(_find_changed_or_missing) ovirtmgmt is different or missing from persistent configuration. current: {'nic': 'enp4s0f0', 'dhcpv6': Fa
lse, 'mtu': '1500', 'bootproto': 'dhcp', 'stp': False, 'bridged': True, 'ipv6addr': ['2620:52:0:23a0:29c:2ff:feb0:9f28/64'], 'ipv6gateway': 'fe80:52:0:23a0::1ffe', 'defaultRoute': True}, persisted: {u'nic': u'enp4
s0f0', 'dhcpv6': False, u'mtu': '1500', u'bootproto': u'dhcp', 'stp': False, u'bridged': True, u'defaultRoute': True}

Version-Release number of selected component (if applicable):
3.6.3-0.1.el6
vdsm-4.17.19-0.el7ev.noarch
Comment 1 Dan Kenigsberg 2016-02-29 05:20:32 EST
The severity is actually quite high, as it can cause hosts to loose connectivity after reboot

http://lists.ovirt.org/pipermail/users/2016-February/038132.html
Comment 2 Michael Burman 2016-03-17 05:57:19 EDT
Verified on - 3.6.4-0.1.el6 and vdsm-4.17.23.1-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.